Last Comment Bug 679604 - After upgrading to Firefox 6 and Thunderbird 6, Add-ons Manager has no category set
: After upgrading to Firefox 6 and Thunderbird 6, Add-ons Manager has no catego...
Status: VERIFIED FIXED
[inbound][qa!]
: regression, relnote, verified-aurora, verified-beta
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: 6 Branch
: All All
: -- normal with 1 vote (vote)
: mozilla9
Assigned To: Dave Townsend [:mossop]
:
Mentors:
: 679635 679811 685276 (view as bug list)
Depends on:
Blocks: 595848
  Show dependency treegraph
 
Reported: 2011-08-16 22:47 PDT by Kohei Yoshino [:kohei]
Modified: 2013-12-27 14:37 PST (History)
20 users (show)
dtownsend: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
screenshot (73.14 KB, image/jpeg)
2011-08-16 23:07 PDT, Kohei Yoshino [:kohei]
no flags Details
quick fix (511 bytes, patch)
2011-08-17 00:05 PDT, Kohei Yoshino [:kohei]
no flags Details | Diff | Review
patch rev 1 (2.88 KB, patch)
2011-08-17 11:28 PDT, Dave Townsend [:mossop]
bmcbride: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Review

Description Kohei Yoshino [:kohei] 2011-08-16 22:47:40 PDT
I've found an issue on the Add-ons Manager that after upgrading from Firefox 5.0.1 to Firefox 6. The Loading throbber continues spinning, and the content is never loaded. The Get Add-ons tab is not selected. 

The content was loaded when I manually selected the Get Add-ons tab.

This also happens with Thunderbird 6. Some users are tweeting about this.
Comment 1 Dave Townsend [:mossop] 2011-08-16 23:01:37 PDT
What extensions do you have installed? Do any messages appear in the error console when this happens?
Comment 2 Kohei Yoshino [:kohei] 2011-08-16 23:07:51 PDT
Created attachment 553685 [details]
screenshot

The issue is reproducible with a clean profile.

Error Console says:
> Error: aViewId is null
> Source File: chrome://mozapps/content/extensions/extensions.js
> Line: 573
Comment 3 [:Cww] 2011-08-16 23:10:55 PDT
Does this go away once you click on a different tab (i.e. Plugins) and then click back?  We're seeing some reports of this on SUMO, also.

https://support.mozilla.com/en-US/questions/862087
Comment 4 Kohei Yoshino [:kohei] 2011-08-16 23:13:09 PDT
(In reply to [:Cww] from comment #3)
> Does this go away once you click on a different tab (i.e. Plugins) and then
> click back?

That's right.
Comment 5 Dave Townsend [:mossop] 2011-08-16 23:19:44 PDT
I just tested with a clean profile and couldn't reproduce this.
Comment 6 Dave Townsend [:mossop] 2011-08-16 23:20:52 PDT
Actually, what were the STR for testing with a clean profile?
Comment 7 Kohei Yoshino [:kohei] 2011-08-16 23:24:42 PDT
To reproduce the issue,
1. create a profile with Firefox 5
2. upgrade to Firefox 6
3. open the Add-ons Manager

A new profile created with Firefox 6 has no issue.
Comment 8 Kohei Yoshino [:kohei] 2011-08-17 00:05:37 PDT
Created attachment 553690 [details] [diff] [review]
quick fix
Comment 9 Henrik Skupin (:whimboo) 2011-08-17 00:40:56 PDT
Dave, I think that it has been caused by bug 595848 when we have changed the id of the categories to be able to support custom add-on types. The id is not valid in Firefox 6 so no category is selected. I haven't proven it yet, but will do right in a couple of minutes.
Comment 10 Henrik Skupin (:whimboo) 2011-08-17 01:18:29 PDT
As mentioned in my last comment it's a regression from bug 595848. It only happens once after an upgrade and a click on the category fixes it. So it's not a major issue but should we mention it in the release notes?
Comment 11 Henrik Skupin (:whimboo) 2011-08-17 01:40:02 PDT
As an additional note, this will also happen if you downgrade Firefox.
Comment 12 Vlad [QA] 2011-08-17 01:48:44 PDT
If have tried this on 
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0) Gecko/20100101 Firefox/6.0,
Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0
and also on
Mozilla/5.0 (Windows NT 6.0; rv:6.0) Gecko/20100101 Firefox/6.0

and the issue is reproducible, but only once as Henrik described in the previous comments.
Comment 13 Jorge Villalobos [:jorgev] 2011-08-17 09:18:31 PDT
*** Bug 679635 has been marked as a duplicate of this bug. ***
Comment 14 :ibai 2011-08-17 09:38:46 PDT
As mentioned in bug 679635 it also stops happening if you visit addons.mozilla.org
Comment 15 christian 2011-08-17 10:50:54 PDT
Add to release notes.
Comment 16 Dave Townsend [:mossop] 2011-08-17 11:28:32 PDT
Created attachment 553851 [details] [diff] [review]
patch rev 1

The comment suggests I meant to do this check in the first place, the test accurately tests the situation we're hitting.
Comment 17 aja+bugzilla 2011-08-17 11:50:06 PDT
in my testing the other day, v5 -> v6 is borked, but v6 -> later was fine
Comment 18 Dave Townsend [:mossop] 2011-08-17 12:06:03 PDT
(In reply to aja+bugzilla from comment #17)
> in my testing the other day, v5 -> v6 is borked, but v6 -> later was fine

Yeah, this will only reveal itself the first time you move from v4 or v5 to v6 or later
Comment 19 Dave Townsend [:mossop] 2011-08-17 12:10:28 PDT
Which does make this somewhat low priority to fix, but the fix is simple and the test is worthwhile.
Comment 20 Kohei Yoshino [:kohei] 2011-08-17 18:05:22 PDT
Many people are saying the Add-ons Manager *is* broken. They won't read relnotes.
Comment 21 christian 2011-08-17 18:13:47 PDT
Right. But what they probably *will* do is click around, which will fix it.
Comment 23 Marco Bonardo [::mak] 2011-08-18 04:01:34 PDT
http://hg.mozilla.org/mozilla-central/rev/3de869db521c
Comment 24 Henrik Skupin (:whimboo) 2011-08-18 22:36:40 PDT
*** Bug 680178 has been marked as a duplicate of this bug. ***
Comment 25 :aceman 2011-08-24 13:23:16 PDT
*** Bug 679811 has been marked as a duplicate of this bug. ***
Comment 26 Henrik Skupin (:whimboo) 2011-08-25 00:16:06 PDT
Given that this bug is part of the release notes I wanna ask if we can get track it for Firefox 8 and Firefox 7.
Comment 27 Dave Townsend [:mossop] 2011-08-25 08:28:35 PDT
Comment on attachment 553851 [details] [diff] [review]
patch rev 1

Yeah. This is broken UI that is easily corrected with this very simple risk free patch. It would be good to take this on the branches for those that haven't happened to open the add-ons manager in the 6 week period that that have Firefox 6 for.
Comment 29 Bobby Johnson [:rjohnson19] 2011-09-08 14:10:33 PDT
*** Bug 685276 has been marked as a duplicate of this bug. ***
Comment 30 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-22 16:48:41 PDT
qa+ for verification in Firefox 7 and 8
Comment 31 derrickmacpherson 2011-09-25 14:47:18 PDT
I was able to get around this as well by starting up in safe mode, hitting the check for updates button, exiting, then starting up normally.
Comment 32 Vlad [QA] 2011-09-26 05:35:09 PDT
I have verified this on Windows 7 x86, Mac OS X 10.6, Windows Xp and Ubuntu 11.04 x64 by upgrading from Firefox 5.0.1 to 6.0 to 6.0.2 to 7.0RC to Latest Aurora and to Latest Nightly with the same profile and the issue isn't reproduced anymore.

The Add-ons manager is loading every time.

Note You need to log in before you can comment on or make changes to this bug.